Debian Bug report logs - #654276
rstatd: does not work with kernel 3.0/3.1 or any other 3.x kernel

version graph

Package: rstatd; Maintainer for rstatd is Anibal Monsalve Salazar <anibal@debian.org>; Source for rstatd is src:rstatd.

Reported by: Thomas Lange <lange@informatik.uni-koeln.de>

Date: Mon, 2 Jan 2012 18:33:01 UTC

Severity: grave

Tags: patch, sid, wheezy

Found in version rstatd/4.0.1-4

Fixed in version rstatd/4.0.1-5

Done: Anibal Monsalve Salazar <anibal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#654276; Package rstatd. (Mon, 02 Jan 2012 18:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Lange <lange@informatik.uni-koeln.de>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Mon, 02 Jan 2012 18:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Lange <lange@informatik.uni-koeln.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rstatd: does not work with kernel 3.0/3.1 or any other 3.x kernel
Date: Mon, 2 Jan 2012 19:18:34 +0100
[Message part 1 (text/plain, inline)]
Package: rstatd
Version: 4.0.1-4
Severity: grave
Tags: patch
Justification: renders package unusable

A machine running kernel 3.x an the rpc.rstatd does not reply to any
rup or rusers request from remote or even from local host. This
renders the package unusable.

In syslog I can see

    rpc.rstatd: dummy function, should never be called!

The problem is in getdata.c, were a function get_diskXX is called
depending on the version of the kernel (e.g. get_disk24, get_disk26)
For a 3.X kernel no function is defined. The attached patch calls the
get_disk26 function for every 3.x kernel. This works nicely, since the
same interface is used for getting the disks statistics.


[rstatd.patch (application/octet-stream, attachment)]
[Message part 3 (text/plain, inline)]

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages rstatd depends on:
ii  libc6                             2.13-23
ii  netbase                           4.47
ii  openbsd-inetd [inet-superserver]  0.20091229-1
ii  rpcbind [portmap]                 0.2.0-7
ii  update-inetd                      4.41

rstatd recommends no packages.

rstatd suggests no packages.

-- no debconf information

-- 
regards Thomas

Added tag(s) sid and wheezy. Request was from Gerfried Fuchs <rhonda@debian.org> to control@bugs.debian.org. (Fri, 06 Jan 2012 01:03:03 GMT) Full text and rfc822 format available.

Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. (Sun, 08 Jan 2012 02:51:08 GMT) Full text and rfc822 format available.

Notification sent to Thomas Lange <lange@informatik.uni-koeln.de>:
Bug acknowledged by developer. (Sun, 08 Jan 2012 02:51:08 GMT) Full text and rfc822 format available.

Message #12 received at 654276-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 654276-close@bugs.debian.org
Subject: Bug#654276: fixed in rstatd 4.0.1-5
Date: Sun, 08 Jan 2012 02:48:54 +0000
Source: rstatd
Source-Version: 4.0.1-5

We believe that the bug you reported is fixed in the latest version of
rstatd, which is due to be installed in the Debian FTP archive:

rstat-client_4.0.1-5_mipsel.deb
  to main/r/rstatd/rstat-client_4.0.1-5_mipsel.deb
rstatd_4.0.1-5.debian.tar.bz2
  to main/r/rstatd/rstatd_4.0.1-5.debian.tar.bz2
rstatd_4.0.1-5.dsc
  to main/r/rstatd/rstatd_4.0.1-5.dsc
rstatd_4.0.1-5_mipsel.deb
  to main/r/rstatd/rstatd_4.0.1-5_mipsel.deb
rstatd_4.0.1.orig.tar.bz2
  to main/r/rstatd/rstatd_4.0.1.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 654276@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated rstatd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 08 Jan 2012 13:19:16 +1100
Source: rstatd
Binary: rstatd rstat-client
Architecture: source mipsel
Version: 4.0.1-5
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 rstat-client - client for rstatd
 rstatd     - displays uptime information for remote machines
Closes: 564267 627217 654276
Changes: 
 rstatd (4.0.1-5) unstable; urgency=low
 .
   * Standards version is 3.9.2
   * Debian source format is 3.0 (quilt)
     Add 01-legacy.patch
   * Work with 3.x Linux kernels
     Add 02-654276-get_disk26.patch
     Patch by Thomas Lange
     Closes: 654276
   * Don't report false ethernet rx/tx values
     Add 03-627217-netio.patch
     Patch by Thomas Koch and Christian Oetzel
     Closes: 627217
   * Don't depend on portmap, depend on rcpbind instead
     Closes: 564267
   * Fix maintainer-script-without-set-e
   * Fix copyright-refers-to-symlink-license
   * Fix debian-rules-missing-recommended-target
Checksums-Sha1: 
 50c3f870dacd82f2abfe8ef98a46795f6b59279f 1739 rstatd_4.0.1-5.dsc
 95094f36ec7b573f56b581c09530c6f1e7a69e57 73583 rstatd_4.0.1.orig.tar.bz2
 59b8911e14a9ee67803a1a1433d48fa592ce53c3 9638 rstatd_4.0.1-5.debian.tar.bz2
 dd32e54d7820f09a2f3a843941afc88a77db1a42 18028 rstatd_4.0.1-5_mipsel.deb
 e21226fd7979b3946a908e583a86addae8cd85ec 16992 rstat-client_4.0.1-5_mipsel.deb
Checksums-Sha256: 
 b0b4b5ddf34fa6602845b28a8e6f0dd2eef4d35e793d5710c12fae93a6130312 1739 rstatd_4.0.1-5.dsc
 054eb8dfee3b7badca6ad16613b3481b85b36cab1460a79b32aab9e666dbfe91 73583 rstatd_4.0.1.orig.tar.bz2
 cd27810724ff572de876644026f5b9677744fe1e473c94ddc517a24197717669 9638 rstatd_4.0.1-5.debian.tar.bz2
 d03450388511162f7cb37be523bf0db636a4d7c4bdb1b85b991f0f41ea965614 18028 rstatd_4.0.1-5_mipsel.deb
 74c6a5fb449958326930e44c30ed79c78e6af14ac02855a84bc9d84c6367856b 16992 rstat-client_4.0.1-5_mipsel.deb
Files: 
 561783d2425828b9f2e8afeb49ba8692 1739 net optional rstatd_4.0.1-5.dsc
 382fa96a9a3d40bfe7a9892f52b8f365 73583 net optional rstatd_4.0.1.orig.tar.bz2
 16d6c5cd8a6eae7d71afc1bb13480d1e 9638 net optional rstatd_4.0.1-5.debian.tar.bz2
 e53bee88d8fb87bcd2bdb6792f83f336 18028 net optional rstatd_4.0.1-5_mipsel.deb
 faf6c46d3bf1d2a743e51ec24d3f77f9 16992 net optional rstat-client_4.0.1-5_mipsel.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPCQEHAAoJEHxWrP6UeJfYuC0P/1VK/bNcY7oJZxVpsRurfvrI
HOrxjJs/3O6Wjg/sZkY0R0KgN2AqjY/RnnkInUrGzGFOVt+5KIH94q2bNGPJlC+b
Gbjb5YTMqfHiqZBM0RdEvdCIBzrls6ezIHsn+qq0GQHd05YIw7Y5z0UV+8dUGZPK
giQvdY7uURYRqt/eFySIBx5ot+TrbE4HC6Qqq7grzC9+WaDvS6uwBIuEskil9ySi
7TUysdi5+fs92cuJR7aepMpBVJMVmtptCSvS8kXWyOUF9DkAEVnvqbt4NP08fNrI
U3Qa/pmgdFsP3v1MdIzvrdEaAVGRQMz2LpWcIxgtco4FCC7E6UEZH2zxX3aWlpKG
zRFuC6ShsuU+L7kCHUT1ags0hx+2Je8EDqjdkpVyriJM7ja4gSGQrFqukmNpIY2/
aTmo6r7QHpghJZ1xVbXlJYb1Q6YtKN2kFrXgIdx/AApcyQDIrfW/bJgwnR5TaoKo
iACfLb8Lvmk5lCqcbx+7yOdAbBJWraOvmj8GyUW7CeZNk25X+5PyPGY+boZhEl9T
qzw/ebtsZPcHjpjC+b+RzozKMnd9ega9pfYSmTwcfxREFn3mtG8zcc+qLW2Fi0Rl
X+z//6UPIDW1T3dmD61RsoI03xhRqbexCb3VlHnjhZH4gg2aPw7hJKGKN21zNVTs
NUQAN/jJavarizHYq9X6
=Cb6D
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 09:14:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:34:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.